<?php 

if(!(is_readable($_SERVER['DOCUMENT_ROOT'].'/include/settings.inc'))) 
{ 
    die('Error - Could not open or read file include/settings.inc'); 
} 
else 
{ 
    include_once($_SERVER['DOCUMENT_ROOT'].'/include/settings.inc'); 
} 

abstract class BaseDBDataFacade
{
	abstract static function getInstance();
		
	protected function __construct()
	{
	}
	
	protected function __clone()
	{
	}

	abstract public function getIDObject($oguid);
	abstract public function getIDReport($rguid);
	abstract public function addPersonalLink($iduser, $oguid, $oguid);
	abstract public function movePersonalLink($iduser, $pos, $dest);
	abstract public function getPersonalLinks($iduser);
	abstract public function getReportsToObject($oguid, $iduser, $idlanguage);
	abstract public function getObjectTreetoUser($parent_idportalobject, $iduser, $idlanguage);
	abstract public function getUserRightsToObject($iduser, $oguid);
	abstract public function getUserRightsToReport($iduser, $rguid);
	abstract public function getDefualtReportToObject($iduser, $oguid);
	abstract public function userLogin($user_login, $user_Password);
	abstract public function getUserDataByUserID($iduser);
	abstract public function getUserDataByUserLogin($user_login);
	abstract public function isUserAdmin($iduser);
	
}
?>